Version: 	1.0.1
Release:	11.31
License: 	LGPL
Group: 		Development/Libraries
Summary: 	Cego PHP extension
URL: 		http://pecl.php.net/package/Paradox
Source0: 	PHP-cego-%{version}.tar.gz
Patch0:		cego-includedir.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	cego-devel autoconf automake glibc-devel gcc gcc-c++
Requires:	cego
%if 0%{?suse_version} >= 1110
BuildRequires:	chrpath
%endif
%if 0%{?suse_version}
BuildRequires:	php5-devel
Requires:	php5
Name:		php5-cego
%define		_php_extdir	%{_libdir}/php5/extensions
%define		_php_inidir	%{_sysconfdir}/php5/conf.d
%endif
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?redhat_version} || 0%{?fedora_version}
BuildRequires:	php-devel
Requires:	php
Name:		php-cego
%define		_php_extdir	%{_libdir}/php/modules
%define		_php_inidir	%{_sysconfdir}/php.d
%endif

%description
A PHP extension for the cego database system.

%prep
%setup -q -n cego
%patch0

export PHP_PREFIX=%{_prefix}
$PHP_PREFIX/bin/phpize
./configure --with-cego=shared --with-php-config=$PHP_PREFIX/bin/php-config

%__make
%install
%if 0%{?suse_version} >= 1110
chrpath -d modules/cego.so
%endif
install -m 755 -d $RPM_BUILD_ROOT%{_php_extdir}
install -m 755 modules/cego.so $RPM_BUILD_ROOT%{_php_extdir}
install -d 755 $RPM_BUILD_ROOT%{_php_inidir}
echo "extension=cego.so" > $RPM_BUILD_ROOT%{_php_inidir}/cego.ini

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc CREDITS
%{_php_extdir}/cego.so
%config %{_php_inidir}/cego.ini
 
%changelog
* Sun Jun 19 2011 cs@linux-administrator.com
- initial package
